import App from './App'

import Vue from 'vue'
import './uni.promisify.adaptor'
import api from './common/js/api'
import env from './common/js/env.js';

// #ifdef H5
// 提交前需要注释  本地调试使用 使用vconsole
// const vconsole = require('vconsole')
// Vue.prototype.$vconsole = new vconsole()
// #endif
import {
	VueJsonp
} from 'vue-jsonp'
Vue.use(VueJsonp)
import uView from "uview-ui";
Vue.use(uView);
Vue.config.productionTip = false
Vue.prototype.$phonePattern = '^1[3-9][0-9]\\d{8}$';
Vue.prototype.$baseUrl = env.baseUrl;
Vue.prototype.$api = api;
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
